ListListings
/api/v1/listingsList all access listings within the system. Listings are high-level objects that represent applications like “Salesforce” or “Figma”.
When considering a user’s access, always return the listing roles that a user, group, or team has access to.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/listings"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/listings"Set OBLIQUE_API_KEY to your API key.
Query parameters
pageSizeinteger (int32)The maximum number of listings to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListListingscall.filterstringFilter that can be used to search for listings. Supports filtering by author or owner.
author = "users/my-user"owner = "users/my-user"
Owner can be either a user, team, or group. If a user, both the listings directly owned by the user and listings owned by a team or group that the user is a member of are returned.
Or by display name, with support for
*wildcards and the case-insensitive~=comparator:displayName = "GitHub Access"// Matches "GitHub Access" and "GitHub Admin"displayName = "GitHub *"// Case-insensitive, matches "GitHub Access" and "github admin"displayName ~= "github *"displayName = "GitHub *" OR displayName ~= "aws *"Display name filters can’t be combined with author or owner filters.
showDeletedbooleanIf true, include deleted listings in the response.
Response
200ListListingsResponselistingsListing[]namestringAssigned by Oblique. Name of the listing of the format
listings/{id}.createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyIf present, the listing has been deleted and won’t be returned in List operations.
effectiveMembersUpdateTimestring (date-time)read-onlyThe time when a change was last made that would require the listing’s effective members to be recomputed. For example, when an entitlement is created or deleted on a resource that is part of a listing role.
effectiveMembersSyncTimestring (date-time)read-onlyThe time when the listing’s effective members were last recomputed by the effective membership sync.
displayNamestringrequiredA short display name of the listing. For example “GitHub” or “Salesforce”.
descriptionstringA longer description of the role explaining to the end user what this listing represents, or what users should do once they have access.
visibilitystringrequiredVisibility of the listing. When initially created, this should be set to “UNLISTED”.
managementManagementHow this listing is managed. Set automatically by the server based on the calling client. Omitted from responses when the listing is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |